/**
 * @param content 复制的内容
 */
import useMessage from "@mobileUI/hooks/useMessage";

const { onNotify } = useMessage();

export default function useCopy(content: string) {
  try {
    // 动态创建 textarea 标签
    const textarea: any = document.createElement("textarea");
    // 将该 textarea 设为 readonly 防止 iOS 下自动唤起键盘，同时将 textarea 移出可视区域
    textarea.readOnly = "readonly";
    textarea.style.position = "absolute";
    textarea.style.left = "-9999px";
    // 将要 copy 的值赋给 textarea 标签的 value 属性
    textarea.value = content;
    // 将 textarea 插入到 body 中
    document.body.appendChild(textarea);
    // 选中值并复制
    textarea.select();
    const result = document.execCommand("Copy");
    if (result) {
      onNotify("复制成功");
    }
    document.body.removeChild(textarea);
  } catch (e) {
    alert("复制失败");
    throw Error(e);
  }
}
